<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    {%if groceryitem_list and user.is_authenticated == True%}
        <h1>Welcome {{user.username}}</h1>
        {% if groceryitem_list %}
        <ul>
        {% for groceryitem in groceryitem_list %}
            <li><a href = "{{groceryitem.id}}">{{groceryitem.item_name}}</a></li>
        {% endfor%}    
        </ul>
    {% else%}
        <p>No items have been added</p>
    {% endif%}        
    {%elif groceryitem_list.count == 0 and user.is_authenticated == True%}
        <p>No items have been added.</p>
    {% else %}
        <h1>You are currently not signed in!</h1>
        <p>Kindly login <a href="login"> here</a></p>
    {% endif %}
</body>
</html>
